Paycose Docs
Application
POST/applications/{id}/countries/{country}/platform_credit/setup_session

Create Platform Credit Setup Session

Request body: CreatePlatformCreditSetupSessionRequest

Responses: 201, 503, 400

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/applications/{{id}}/countries/{{country}}/platform_credit/setup_session' \
  -H 'Content-Type: application/json' \
  -d '{
  "currency": "<string>",
  "locale": "<string>",
  "return_url": "<string>",
  "email": "<string>"
}'

Headers

NameValue
Content-Typeapplication/json

Body

NameTypeValue
currencystring<string>
localestring<string>
return_urlstring<string>
emailstring<string>
{
  "currency": "<string>",
  "locale": "<string>",
  "return_url": "<string>",
  "email": "<string>"
}

Responses

201201 Created

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "<string>",
  "session": "<string>",
  "provider": "<string>",
  "expires_at": 0
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page